Subject: Re: bug#10195: 24.0.92; M-w may no longer provide visual feedback

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2011 18:58:40 +0200

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 04 Dec 2011 23:59:15 +0800
> 
> I don't think sit-for should ignore selection requests.  If so, doing
> (sit-for 10) would cause Emacs to stop responding to selection requests
> from other applications for 10 seconds.  That doesn't sound right.

What happens if an application receives a selection request while it
is busy with some long calculation? won't the response be delayed in
that case as well?

> I think the right fix is for input-pending-p to call swallow_events(),
> as below.  Thoughts?

I'm no expert on this, but it looks OK.  It only swallows selection
requests, though; are these the only ones that can cause this kind of
problems?